/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "CAM-PDU-Descriptions"
 * 	found in "CAM.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#include "RoadWorksContainerBasic.h"

static asn_TYPE_member_t asn_MBR_RoadWorksContainerBasic_1[] = {
	{ ATF_POINTER, 1, offsetof(struct RoadWorksContainerBasic, roadworksSubCauseCode),
		(ASN_TAG_CLASS_CONTEXT | (0 << 2)),
		-1,	/* IMPLICIT tag at current level */
		&asn_DEF_RoadworksSubCauseCode,
		0,	/* Defer constraints checking to the member type */
		0,	/* No PER visible constraints */
		0,
		"roadworksSubCauseCode"
		},
	{ ATF_NOFLAGS, 0, offsetof(struct RoadWorksContainerBasic, lightBarSirenInUse),
		(ASN_TAG_CLASS_CONTEXT | (1 << 2)),
		-1,	/* IMPLICIT tag at current level */
		&asn_DEF_LightBarSirenInUse,
		0,	/* Defer constraints checking to the member type */
		0,	/* No PER visible constraints */
		0,
		"lightBarSirenInUse"
		},
	{ ATF_POINTER, 1, offsetof(struct RoadWorksContainerBasic, closedLanes),
		(ASN_TAG_CLASS_CONTEXT | (2 << 2)),
		-1,	/* IMPLICIT tag at current level */
		&asn_DEF_ClosedLanes,
		0,	/* Defer constraints checking to the member type */
		0,	/* No PER visible constraints */
		0,
		"closedLanes"
		},
};
static const int asn_MAP_RoadWorksContainerBasic_oms_1[] = { 0, 2 };
static const ber_tlv_tag_t asn_DEF_RoadWorksContainerBasic_tags_1[] = {
	(ASN_TAG_CLASS_UNIVERSAL | (16 << 2))
};
static const asn_TYPE_tag2member_t asn_MAP_RoadWorksContainerBasic_tag2el_1[] = {
    { (ASN_TAG_CLASS_CONTEXT | (0 << 2)), 0, 0, 0 }, /* roadworksSubCauseCode */
    { (ASN_TAG_CLASS_CONTEXT | (1 << 2)), 1, 0, 0 }, /* lightBarSirenInUse */
    { (ASN_TAG_CLASS_CONTEXT | (2 << 2)), 2, 0, 0 } /* closedLanes */
};
static asn_SEQUENCE_specifics_t asn_SPC_RoadWorksContainerBasic_specs_1 = {
	sizeof(struct RoadWorksContainerBasic),
	offsetof(struct RoadWorksContainerBasic, _asn_ctx),
	asn_MAP_RoadWorksContainerBasic_tag2el_1,
	3,	/* Count of tags in the map */
	asn_MAP_RoadWorksContainerBasic_oms_1,	/* Optional members */
	2, 0,	/* Root/Additions */
	-1,	/* Start extensions */
	-1	/* Stop extensions */
};
asn_TYPE_descriptor_t asn_DEF_RoadWorksContainerBasic = {
	"RoadWorksContainerBasic",
	"RoadWorksContainerBasic",
	SEQUENCE_free,
	SEQUENCE_print,
	SEQUENCE_constraint,
	SEQUENCE_decode_ber,
	SEQUENCE_encode_der,
	SEQUENCE_decode_xer,
	SEQUENCE_encode_xer,
	SEQUENCE_decode_uper,
	SEQUENCE_encode_uper,
	0,	/* Use generic outmost tag fetcher */
	asn_DEF_RoadWorksContainerBasic_tags_1,
	sizeof(asn_DEF_RoadWorksContainerBasic_tags_1)
		/sizeof(asn_DEF_RoadWorksContainerBasic_tags_1[0]), /* 1 */
	asn_DEF_RoadWorksContainerBasic_tags_1,	/* Same as above */
	sizeof(asn_DEF_RoadWorksContainerBasic_tags_1)
		/sizeof(asn_DEF_RoadWorksContainerBasic_tags_1[0]), /* 1 */
	0,	/* No PER visible constraints */
	asn_MBR_RoadWorksContainerBasic_1,
	3,	/* Elements count */
	&asn_SPC_RoadWorksContainerBasic_specs_1	/* Additional specs */
};

